<?php use_helper('UrlFunctions'); ?>

<?php
if($typeSubmit){
	if(is_array($idColaborador)){
		foreach ($idColaborador as $key =>$valor){
			$o_PlaEmpresaColaboradorDP = new PlaEmpresaColaboradorDP();
			$o_PlaEmpresaColaboradorDP->setIdempresa($IdEmpresa);
			$o_PlaEmpresaColaboradorDP->setIdcolaborador($valor);
			$o_PlaEmpresaColaboradorDP->setFechaCreacion(date("Y-m-d H:i:s"));
			$o_PlaEmpresaColaboradorDP->setUsuarioCreacion(myUser::getUser()->getUserId());
			$o_PlaEmpresaColaboradorDP->save();
		}
	}
}



if($metodo){
	
	
		
	switch ($metodo){
		
		case '1' : 
		case '2' :
					
					echo "metodo ".$metodo;
					
				    ?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('empresa/listcol')?>','&id=<?php echo $IdEmpresa;?>');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?
				  
					
					break;
				
		//Cierre total de la fecha de la sucursal para la fecha determinada
		case '3' : 				
		case '4' : 
				
					
					?>
				    <script language="JavaScript">
				    parent.objMainTab.reqBody('<?=buildUrl('empresa/listcol')?>','&update=1');
				    parent.objMainTab.windowsCloseAll();
				    </script>
				    <?php 
					break;
	}
	
}

?>



<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
  
  function check_uncheck(elem){
	
		var someNodeList = $('form1').getElementsByTagName('input');
		var nodes = $A(someNodeList);
		nodes.each(function(node){
			//alert(node.value);
			node.checked = elem.checked;
		});
	}
	
	function check_uncheck_det(elem){
		var vcheck = true;
		
		
		var someNodeList = $('form1').getElementsByTagName('input');
		var nodes = $A(someNodeList);
		nodes.each(function(node){
			//alert(node.value);
			if(node.checked == false){
				vcheck = false;
				$('idItemx').checked = vcheck;
				return true;
			}
		});
		$('idItemx').checked = vcheck;
	}
</script>

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=name&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>

function abrirperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='1';
		$('form1').submit();
	}
}


function cerrarperiodo(fecha,idcolaborador,nombre){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha+' para '+nombre)){
		$('fecha').value=fecha;
		$('idcolaborador').value=idcolaborador;
		$('metodo').value='2';
		$('form1').submit();
	}
}

function abrirperiodototal(fecha){
	if(confirm('Esta seguro de cerrar el periodo de pedidos '+fecha)){
		$('fecha').value=fecha;
		$('metodo').value='3';
		$('form1').submit();
	}
	
}
</script>
<?php

$o_PlaEmpresaFN = new PlaEmpresaFN();
$o_PlaEmpresaFN->setIdEmpresa($idempresa);
$a_o_PlaEmpresaFN = $o_PlaEmpresaFN->select();

foreach ($a_o_PlaEmpresaFN as $iKey => $o_PlaEmpresaFN){ 
		$IdEmpresa = $o_PlaEmpresaFN->getIdEmpresa();
		$descripcionEmpresa = $o_PlaEmpresaFN->getDescripcion();
}


$a_representantes = array();
$o_ColaboradorBean = new ColaboradorBean();

$o_ColaboradorBean->page = "1";
$o_ColaboradorBean->tamPag = 9999;
$o_ColaboradorBean->sortCampos = "Apellido;ApellidoM;Nombre";
$o_ColaboradorBean->sortType   = "1;1;1";

$o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);

$a_representantes = $o_ColaboradorDP->selectLibres();





?>


<img src="/images/common/spacer.gif" width="10">
<form id="form1" name="form1" method="POST">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0" >
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Empresa: <?php echo $descripcionEmpresa?></li>
            <span class="subtitle"><I>Asignar colaboradores libres</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
     
  <tr>
    <td valign="top">
      	<input type="hidden" name="control" value="1">
      
      	<input type="hidden" name="idcolaborador" id="idcolaborador" value="">
      	<input type="hidden" name="IdEmpresa" id="IdEmpresa" value="<?=$idempresa?>">
      	<input type="hidden" name="metodo" id="metodo" value="1"> 
      	
        
		
		<table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              	<table width="100%" border="0" cellpadding="5" cellspacing="0">
          			<tr>
    				  	<td height="0">
						 	<table width="100%" border="1" cellspacing="0" cellpadding="0"  class="grid">
								<tr>
									<th nowrap="nowrap" width="3%"><label class="label"><input type="checkbox" name="idItemx" id="idItemx" onclick="check_uncheck(this)"></label></th>
									<th nowrap="nowrap" width="50%" align="left"><label class="label">Colaborador</label></th>

									<th nowrap="nowrap" width="8%"><label class="label">Estado </label></th>
									
									
									
								</tr>
							    <?php if(is_array($a_representantes)){
							    		
								    	foreach ($a_representantes as $keyR => $o_representante){
								    		
										   
									    	?>
									    	<tr nowrap="nowrap" width="10%">
										    	<td><label class="label"><input type="checkbox" name="idColaborador[]" class="check_" value="<?=$o_representante->getIdColaborador()?>"  onclick="check_uncheck_det(this)"></label></td>
										    	<td><label class="label"><?=$o_representante->getApellidoPaterno()." ".$o_representante->getApellidoMaterno()." ".$o_representante->getNombres()?></label></td>
										    
										    	<td align="center"><label class="label"><?php ?></label></td>
										    	
										    											    	
									    	</tr>
									  
								    	 <?php }?>
									    	
							  		<?php  }?>
							</table>    					
    					</td>
                	</tr>
      			</table>
		    </td>
		  </tr>
		</table>
		<table align="center" width="100%">
			<tr>
			<td align="center" colspan="5">
			 <input type="hidden" name="typeSubmit" id="typeSubmit">
			  <input class="button" type="button" value="Asignar" onclick="$('typeSubmit').value='1';$(form1).submit()"/>
			  <!--<input class="button" type="button" value="Quitar de Asignacion" onclick="$('typeSubmit').value='-1';$(form1).submit()"/>-->
			</td>
			</tr>
			<tr>
			<td height="10" colspan="5">&nbsp;</td>
			</tr>
		</table>
 </form>
<script type="text/javascript">
	var valid = new Validation('form1', {immediate : true});
</script>